Bootstrap 提供离线的源码下载,并提供编译前less代码,或者你也可以使用Node.js、 RubyGems等方式来安装,灵活方便。

编译的CSS和JS

下载准备使用编译代码的Bootstrap v5.0.1,以轻松地落入您的项目,其中包括:

这并不包括文档、源文件或任何可选的JavaScript依赖,如Popper。

立即下载

源码包(高级用户)

下载完整的Sass、JavaScript和文档,并可使用工具对Bootstrap进行重编译,推荐使用:

  • Libsass 或 Ruby Sass 以及其它Sass编译工具。
  • Autoprefixer 浏览器自动兼容前缀的处理程序

构建后的版本只能于Bootstrap及其文档的分支,应不包含重新发行之商业目的,详情build tools

获得源码

Bootstrap 使用实例

如果你想获在我们的全部官方实例,可以点击这里下载:

立即下载实例包

CDN或jsDelivr在线引用

jsDelivr跳过下载,将Bootstrap编译的CSS和JS缓存到您的项目中。

<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>
  

如果你喜欢使用JavaScript和Popper单独编译的话,最好在添加之前使用JavaScript和Popper'。

<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-q2kxQ16AaE6UbzuKqyBE9/u/KzioAlnx2maXQHiDX9d4/zp8Ok3f+M7DPm+Ib6IU" crossorigin="anonymous"></script> <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.min.js" integrity="sha384-pQQkAEnwaBkjpqZ8RU1fF1AKtTcHJwFl3pblpTlHXybJjHpMYo79HY3hIi4NKxyj" crossorigin="anonymous"></script>

程序打包方式 Package managers<5.0.2h2>

通过 Sass 工具 和 Autoprefixer 多浏览器兼容处理程式 将 Bootstrap 源码 与您的项目完整打包结合,这样避免出现BootStrap的显式文件名在你的源码中。

NodeJS安装方式

使用 npm 包在Node.js驱动的应用程序中安装Bootstrap:

npm install bootstrap@next

const bootstrap = require('bootstrap')import bootstrap from 'bootstrap' 将把 bootstrap 的所有插件加载到一个Bootstrap对象中。引导模块本身导出所有的插件。通过bootstrap根目录下加载 /js/dist/*.js 文件,你可以手动单独加载Bootstrap的插件。

根目录下的 package.json 文件包含以下元素的定义:

  • sass - 目录,这是 Bootstrap中 Sass 文件存放路径。
  • style - 目录,这是Bootstrap中没有压缩的 CSS文件

yarn 安装

你可以在Node.js驱动应用中安装Bootstrap yarn 安装 :

yarn add bootstrap

RubyGems 安装

推荐使用 Bundler工具 进行 RubyGems安装Gemfile命令:

gem 'bootstrap', '~> 5.0.1'

如果你不喜欢Bundler,还可以通过运行这个命令来安装gem:

gem install bootstrap -v 5.0.1

关于RubyGems安装的更多文档

Composer 安装(对于PHP开发者)

支持PHP开发者喜爱的 5.0.2ser 依赖管理工具安装,执行:

composer require twbs/bootstrap:5.0.1

NuGet 安装(对于微软.NET开发者)

对于微软平台广大的 .NET 开发人员使用 NuGet 工具可以快速部署 CSSSass 并引入全局 JavaScript:

Install-Package bootstrap
Install-Package bootstrap.sass